Read a custom category
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/categories/{category_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/categories/{category_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/categories/{category_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"created_at": "2015-04-13T18:01:23.000Z",
"guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"is_default": true,
"is_income": false,
"metadata": "some metadata",
"name": "Auto Insurance",
"parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"updated_at": "2015-05-13T18:01:23.000Z"
}
}Categories
Read a custom category
GET
/
users
/
{user_guid}
/
categories
/
{category_guid}
Read a custom category
Use this endpoint to read the attributes of either a default category or a custom category.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a category.
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Category creation date-time.
Example:
"2015-04-13T18:01:23.000Z"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
true
Example:
false
Example:
"some metadata"
Example:
"Auto Insurance"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
"2015-05-13T18:01:23.000Z"
⌘I

